Bug 207790 - Wobble Firefox Too High and Lose Minimize, Maximize and Title Bar Control
Wobble Firefox Too High and Lose Minimize, Maximize and Title Bar Control
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
Blocks: 208421
  Show dependency treegraph
Reported: 2006-09-23 06:23 EDT by teamwassily
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-12 10:47:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description teamwassily 2006-09-23 06:23:54 EDT
Description of problem:
If you start wobbling Firefox or any program a little you can accidentally sling
the Title bar of the program in question onto the top bar where applets should
be.  If you wobble it even more you can actually lose the entire title bar as it
goes beyond the top bar.  So now you can't use the functionality of the top part
of your program.

Version-Release number of selected component (if applicable):
Compiz, latest as of september 23rd 2006

How reproducible:
Always.  Just wobble.

Steps to Reproduce:
1. Wobble a program, for example Firefox.
2. Wobble it straight towards the top of the screen.
3. Watch it lunge onto the top bar or even farther up into the "not visible"
part of the monitor.
4. Now you've got a program that you can't move because the title bar is
invisible.  And you can't minimize or maximize it.  And you can barely access
the menu items such as [File] [Edit] [View] [Go] [Bookmarks] etc...

Actual results:
Wobble can hide parts of a program if wobbled offscreen.

Expected results:
Wobbling should be safe and not cause you to lose a program's top half. 
Although you have to be a wild wobbler for things to go really wrong.

Additional info:
ATI Radeon 9200 with 128 MB of ram.  FC6T3 up to date as of sept 23 2006.
Comment 1 Tim Lauridsen 2006-09-29 02:34:09 EDT
I got a bugreport about yumex starting with the window decoration hidden behind
the top panel when using Compiz.


Comment 2 Matthew Miller 2007-04-06 13:11:05 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2007-07-12 10:47:24 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.